# typed: false
FactoryBot.define do
  factory :http_log_entry_header do
    headers do
      {
        "x-request-id" => SecureRandom.hex(8),
        "x-session-id" => SecureRandom.uuid,
      }
    end
    sha256 { Digest::SHA256.digest(headers.sort.to_h.to_s) }
  end
end
